=== debian/changelog ===
pilot-link (0.12.2-9) unstable; urgency=low

  * debian/control:
   - add Xs-Vcs-Cvs: and XS-Vcs-Browser: fields
   - remove Suggests: malsync for libpisock9 since malsync is no more in
     Debian
  * use Ubuntu patches. Except for python-all-dbg which is not available in
    Debian. I am open to patches.
  * debian/man/pilot-650foto.1: manpage is missing from upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Mar 2007 16:00:20 +0200

pilot-link (0.12.2-8) unstable; urgency=low

  * debian/control: libpisock9 Replaces: pilot-link (<< 0.12.2-7)
    Closes: #415960 "60-libpisock.rules is contained in two packages"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Mar 2007 14:21:22 +0100

pilot-link (0.12.2-7) unstable; urgency=low

  * debian/libpisock9.docs: add documentation in libpisock9 and not just in
    pilot-link package
  * add etc/modprobe.d/libpisock9 file to blacklist the visor kernel module
    since we now use libusb with better performances
  * add etc/udev/rules.d/60-libpisock.rules to set the device to group dialout
    and group write access.
  * debian/README.debian: add a permissions chapter. Users need to be in the
    group dialout to use the device created by udev

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 22 Mar 2007 14:21:58 +0100

pilot-link (0.12.2-6) unstable; urgency=low

  * debian/rules: force installation of dump.pl & Pilot.pm. Closes: #413502:
    "libpda-pilot-perl: package is missing perl module Pilot.pm
    and files dump.pl and autosplit.ix"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  7 Mar 2007 21:53:58 +0100

pilot-link (0.12.2-5) unstable; urgency=low

  * debian/control:
   - Build-Depends: pkg-config
   - libpisock-dev Depends: libbluetooth2-dev
   - Closes: #413051 "libpisock-dev: needs to Depend on libbluetooth2-dev"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  2 Mar 2007 14:19:16 +0100

pilot-link (0.12.2-4) unstable; urgency=low

  * debian/patches/19_pilot-link.m4.in.dpatch: update to remove definition of
    IT_PROG_INTLTOOL. Closes: #411382: "Breaks builds of unrelated code"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 18 Feb 2007 17:55:42 +0100

pilot-link (0.12.2-3) unstable; urgency=low

  * remove debian/po/* files: Closes: #411176: pilot-link: Please remove the
    debian/po directory

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 18 Feb 2007 13:42:56 +0100

pilot-link (0.12.2-2) unstable; urgency=low

  * debian/patches/19_pilot-link.m4.in.dpatch: correct pilot-link.m4 so that
    projects (jpilot for example) using this m4 file do not fail at autoconf

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 16 Feb 2007 15:05:29 +0100

pilot-link (0.12.2-1) unstable; urgency=low

  * New upstream release
   - Closes: #410152 "pilot-link: udev rules need updating"
  * debian/control: add Build-Depends: libbluetooth2-dev
   - add bluetooth support

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 14 Feb 2007 23:30:59 +0100

pilot-link (0.12.1-5) unstable; urgency=medium

  * urgency medium since libpisock-dev was not usable to build any package
  * libpisock-dev now depends on libusb-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 22 Sep 2006 11:51:36 +0200

pilot-link (0.12.1-4) unstable; urgency=low

  * Debuild-Depends: libusb-dev. Closes: #388057 "pilot-link needs to
    Build-Depend on libusb-dev."

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 19 Sep 2006 21:14:06 +0200

pilot-link (0.12.1-3) unstable; urgency=low

  * upload to unstable
  * patch ./configure to correcty detect Python

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 19 Sep 2006 21:12:56 +0200

pilot-link (0.12.1-2) experimental; urgency=low

  * Install some missing files. Thanks to Norbert Preining for the patches

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  8 Sep 2006 21:10:38 +0200

pilot-link (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Closes: #385871: "libpisock-dev: pilot-link.pc not installed in
    /usr/lib/pkgconfig"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue,  5 Sep 2006 22:28:03 +0200

pilot-link (0.12.0-1) experimental; urgency=low

  * New upstream release
   - Closes: #269731 "pilot-link: pilot charset is hard-coded in
   libpisock/util.c"
   - Closes: #360963: "pilot-link: pilot-xfer ignores PILOTRATE and uses 9600
   bps"
   - Closes: #340818: "pilot-xfer.1.gz: -f: thought one could get more than
   one file"
   - Closes: #342128: "install-todo.1.gz: non standard formatting"
   - Closes: #351435: "read-todos -w not on man page"
   - Closes: #351438: "memos -p mandatory, contrary to man page"
   - Closes: #351439: "pilot-xfer: $? when memory full"
   - Closes: #375734: "install-user has no default so don't say there is"
   - Closes: #383537: "pilot-link: don't say SEE ALSO pilot-link"
   - Closes: #20782: "pilot-link suggestion"
   - Closes: #24357: "pilot-link has namespace pollution"
   - Closes: #148190: "pilot-link: Clock synchronization would be nice"
  * To avoid namespace pollution a lot of commands from pilot-link have been
    renamed from foo to pilot-foo. See
    /usr/share/doc/pilot-link/NEWS.Debian.gz file
  * (try to) use the new Python policy

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  1 Sep 2006 18:22:14 +0200

pilot-link (0.11.8-0.12.0-pre4-5) experimental; urgency=low

  * use --root instead of --home to correctly build the python-pisock package
    (files in /usr/lib/python-2.3/ instead of /usr/lib/python/)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 23 May 2006 21:58:58 +0200

pilot-link (0.11.8-0.12.0-pre4-4) experimental; urgency=low

  * debian/control: libpisock-dev now depends on the ${Source-Version} of
    libpisock9 and libpisync0. Closes: #344762 "libpisock-dev: Should depend
    on newer version of libpisync0."
  * debian/rules: add --enable-libusb to ./configure.
    Closes: #346319 "libpisock9: Please compile with libusb support"

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 12 Jan 2006 18:28:50 +0100


