=== debian/control ===
Source: pilot-link
Section: otherosfs
Build-Depends: debhelper (>= 5.0.37.2), perl (>= 5.6), libpng-dev, libreadline5-dev | libreadline-dev, dpatch, python-all-dev (>= 2.3), python-support (>= 0.3), libusb-dev, libbluetooth2-dev, pkg-config
Priority: optional
XS-Vcs-Browser: http://cvs.pilot-link.org/
Xs-Vcs-Cvs: pserver:anonymous@pilot-link.org:/cvs/pilot-link
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: >= 2.3

Package: pilot-link
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pilot-link-perl
Suggests: libpda-pilot-perl, libmd5-perl
Description: tools to communicate with a PalmOS PDA
 The package contains many command line programs to manipulate databases
 stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
 sync, and restore databases.
 .
  Homepage: http://www.pilot-link.org/

Package: libpda-pilot-perl
Architecture: any
Section: perl
Priority: extra
Depends: ${shlibs:Depends}, ${perl:Depends}, libdigest-md5-perl, data-dumper
Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
Conflicts: pilot-link-perl
Description: Perl module to communicate with a PalmOS PDA
 This package provides the PDA::Pilot module, which provides Perl programs
 with means of communicating directly with a PalmOS device.
 .
  Homepage: http://www.pilot-link.org/

Package: python-pisock
Architecture: any
Section: python
Priority: extra
Depends: ${shlibs:Depends}, ${python:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-python
XB-Python-Version: ${python:Versions}
Conflicts: pilot-link-python
Description: Python module to communicate with PalmOS PDA
 This package provides the pisock module, which provides Python programs
 with means of communicating directly with a PalmOS device.
 .
  Homepage: http://www.pilot-link.org/

Package: libpisock9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: jpilot, pilot-link, kpilot, gnome-pilot, evolution, sylpheed-claws, sylpheed-claws-gtk2, sylpheed
Conflicts: pilot-link (<< 0.12.2-7)
Replaces: pilot-link (<< 0.12.2-7)
Description: library for communicating with a PalmOS PDA
 libpisock9 is a library used by pilot-link programs and any other
 packages that want to communicate with a PalmOS device.
 .
 See packages jpilot, pilot-link, malsync, kpilot, gnome-pilot,
 evolution if you are looking to user programs for your PDA.
 .
  Homepage: http://www.pilot-link.org/

Package: libpisync0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: gnome-pilot, evolution
Description: synchronization library for PalmOS devices
 libpisync is a library for applications to synchronize data with PalmOS
 devices.
 .
 See packages gnome-pilot and evolution if you are looking to user
 programs for your PDA.
 .
  Homepage: http://www.pilot-link.org/

Package: libpisock-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libpisock9 (= ${Source-Version}), libpisync0 (= ${Source-Version}), libncurses-dev|libncurses5-dev, libusb-dev, libbluetooth2-dev
Conflicts: libpisock3 (<= 0.9.5-pre5-1.1), pilot-link (<= 0.11.3-4)
Replaces: pilot-link (<= 0.11.3-4)
Description: development files for communicating with a PalmOS PDA
 libpisock-dev contains static libraries, header files and dynamic
 libraries for compiling applications that communicate with a PalmOS
 device.
 .
 You will need this package if you want to compile a C or C++ using
 libpisock9 or libpisync0.
 .
  Homepage: http://www.pilot-link.org/
